import pytest
import os

from selenium.webdriver import Chrome
from imaginaerraum_door_admin import create_app

os.environ['APPLICATION_SETTINGS'] = os.getcwd() + '/debug_app_config.py'


@pytest.fixture(scope='session')
def app():
    """Fixture to launch the webapp"""
    app = create_app()

    return app


@pytest.fixture
def browser():
    """Fixture for a selenium browser to access the webapp."""
    driver = Chrome()
    driver.implicitly_wait(10)
    yield driver
    driver.quit()